
%global meadversion 4.0.1
%global namedversion 4.0.1.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jakarta-enterprise-lang-model}
%{!?scl:%global pkg_name %{name}}

%define maven_version 4.0.1.redhat-00001

Name:           %{?scl_prefix}jakarta-enterprise-lang-model
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        CDI Language Model
Group:          Development/Java

%if %with mead
Source100: jakarta.enterprise.cdi-parent-4.0.1.redhat-00001-project-sources.tar.gz
Source102: jakarta.enterprise.lang-model-4.0.1.redhat-00001.pom
Source103: jakarta.enterprise.lang-model-4.0.1.redhat-00001-sources.jar
Source104: jakarta.enterprise.cdi-api-4.0.1.redhat-00001-sources.jar
Source105: jakarta.enterprise.cdi-api-4.0.1.redhat-00001.pom
Source106: jakarta.enterprise.cdi-api-4.0.1.redhat-00001.jar
Source107: jakarta.enterprise.cdi-parent-4.0.1.redhat-00001.pom
Source108: jakarta.enterprise.cdi-api-4.0.1.redhat-00001-javadoc.jar
Source109: jakarta.enterprise.lang-model-4.0.1.redhat-00001.jar
Source110: jakarta.enterprise.lang-model-4.0.1.redhat-00001-javadoc.jar
%endif

License:        ASL 2.0
URL:            scm:git:git://github.com/eclipse-ee4j/cdi.git
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jakarta-enterprise-lang-model-%{namedversion}-%{release}-root

%description
Build Compatible (Reflection-Free) Java Language Model for CDI.

%package -n %{?scl_prefix}jakarta-enterprise-cdi-api
Summary:        CDI APIs
Group:          Development/Java


%description -n %{?scl_prefix}jakarta-enterprise-cdi-api
APIs for CDI (Contexts and Dependency Injection for Java)

%prep
%setup -q -n jakarta.enterprise.cdi-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jakarta.enterprise.cdi-api-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.enterprise.cdi-api-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jakarta.enterprise.cdi-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.enterprise.cdi-api-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/jakarta.enterprise.lang-model-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.enterprise.lang-model-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jakarta.enterprise.lang-model-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.enterprise.lang-model-%{namedversion}-sources.jar


(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)


%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jakarta-enterprise-lang-model
%defattr(0644,root,root,0755)
%{_javadir}/jakarta.enterprise.lang-model-%{namedversion}.jar
%{_javadir}/jakarta.enterprise.lang-model.jar
%{_javadir}/jakarta.enterprise.lang-model-%{namedversion}-sources.jar
%{_javadir}/jakarta.enterprise.lang-model-sources.jar

%files -n %{?scl_prefix}jakarta-enterprise-cdi-api
%defattr(0644,root,root,0755)
%doc CONTRIBUTING.adoc LICENSE.txt NOTICE.md NOTICE.md
%{_javadir}/jakarta.enterprise.cdi-api-%{namedversion}.jar
%{_javadir}/jakarta.enterprise.cdi-api.jar
%{_javadir}/jakarta.enterprise.cdi-api-%{namedversion}-sources.jar
%{_javadir}/jakarta.enterprise.cdi-api-sources.jar

%changelog
* Mon Mar 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 4.0.1-1.redhat_00001.1
- Built by CPaaS

* Thu Oct 27 2022 Yong Yang <yyang@redhat.com> - 4.0.0-1.redhat_00001.1
- 4.0.0.redhat-00001
